User Preferences
Put v1user preferences
PUT
/
v1
/
user-preferences
cURL
curl --request PUT \
--url https://api.lighthousefh.com/v1/user-preferences \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"assigned_to_entities": [
{
"description": "<string>",
"name": "<string>"
}
],
"default_location_uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"email_preferences": {
"call_finished_processing": true,
"daily_digest": true,
"manager_recap": true
},
"obituary_format": "<string>",
"primary_color": "<string>",
"selected_organization": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
'import requests
url = "https://api.lighthousefh.com/v1/user-preferences"
payload = {
"assigned_to_entities": [
{
"description": "<string>",
"name": "<string>"
}
],
"default_location_uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"email_preferences": {
"call_finished_processing": True,
"daily_digest": True,
"manager_recap": True
},
"obituary_format": "<string>",
"primary_color": "<string>",
"selected_organization": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
assigned_to_entities: [{description: '<string>', name: '<string>'}],
default_location_uuid: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
email_preferences: {call_finished_processing: true, daily_digest: true, manager_recap: true},
obituary_format: '<string>',
primary_color: '<string>',
selected_organization: '3c90c3cc-0d44-4b50-8888-8dd25736052a'
})
};
fetch('https://api.lighthousefh.com/v1/user-preferences', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"data": {
"assigned_to_entities": [
{
"description": "<string>",
"name": "<string>"
}
],
"created_at": "2023-11-07T05:31:56Z",
"email_preferences": {
"call_finished_processing": true,
"daily_digest": true,
"manager_recap": true
},
"obituary_format": "<string>",
"selected_organization": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"user_uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"default_location_uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"message": "<string>",
"request_id": "<string>"
}{
"error": "<string>",
"message": "<string>",
"status": "<string>",
"status_code": 1,
"timestamp": "2023-11-07T05:31:56Z",
"request_id": "<string>"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
⌘I
cURL
